﻿@*@attribute [Authorize(Roles = "Administrator, superuser, User")]*@
@page "/"
@*@layout Shared.MainLayout*@

@using Microsoft.AspNetCore.Mvc.Rendering;

<center>
    <section class="container-fluid">
        <h3>Search Nurse</h3>

        <div class="">
            <div class="row">
                <div class="form-inline col-12">
                    <div class="form-group col-5">
                        <label class="col-sm-6 col-form-label">Current Hospital: </label>
                        <select class="form-control col-6" @bind="currentHospitalId">
                            <option value="0" selected>All</option>
                            @foreach (var hospital in hospitalList)
                            {
                                <option value="@hospital.Id">@hospital.Name</option>
                            }
                        </select>
                    </div>
                    <div class="form-group col-5">
                        <label class="col-sm-6 col-form-label">Expected Hospital: </label>
                        <select class="form-control col-6" @bind="expectedHospitalId">
                            <option value="0" selected>All</option>
                            @foreach (var hospital in hospitalList)
                            {
                                <option value="@hospital.Id">@hospital.Name</option>
                            }
                        </select>
                    </div>
                    <div class="form-group col-2">
                        <button type="submit" name="search" value="Search" @onclick="Search" class="btn btn-success btn-sm"><span class="oi oi-magnifying-glass"></span> Search</button>&nbsp;&nbsp;
                        <button type="submit" name="reset" value="Reset" @onclick="Reset" class="btn btn-secondary btn-sm"><span class="oi oi-reload"></span> Reset</button>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <hr class="separator">
    </section>

    <section class="container-fluid">
        @if (nurseSearchlList.Count > 0)
        {
            <div>
                @foreach (var nurse in nurseSearchlList)
                {
                    <div class="card row border-info">
                        <div class="card-body form-inline">
                            <div class="col-3 form-inline">
                                <label class="col-sm-6 col-form-label">Registration ID: </label>
                                <input class="form-control form-control-sm col-6" type="tel" @bind="nurse.Id" name="registrationId" disabled />
                            </div>

                            <div class="col-3 form-inline">
                                <label class="col-sm-4 col-form-label">Name: </label>
                                <input class="form-control form-control-sm col-8" @bind="nurse.Name" type="text" name="name" disabled />
                            </div>

                            <div class="col-4 form-inline">
                                <label class="col-sm-6 col-form-label">Selected Package: </label>
                                <input class="form-control form-control-sm col-6" @bind="nurse.Package.Name" type="text" name="currentHospital" disabled />
                            </div>

                            <div class="col-2 form-inline">
                                <button class="btn btn-info btn-sm" @onclick="() => modalContact.Open(nurse.Id)"><span class="oi oi-headphones"></span> Contact</button>&nbsp;|&nbsp;
                                <button class="btn btn-primary btn-sm" @onclick="() => modalView.Open(nurse.Id)"><span class="oi oi-eye"></span> View</button>
                            </div>
                        </div>
                    </div>
                    <br />
                }
            </div>
            <Contact_Nurse @ref="modalContact"></Contact_Nurse>
            <View_Nurse @ref="modalView"></View_Nurse>
        }
        else
        {
            <div class="alert-info">
                <label class="text-center">No Record Found</label>
            </div>
        }
    </section>
</center>


@*<div class="row">
        <form>
            Name: <input type="text" name="name" />| &nbsp;
            <span class="oi-eye"></span> <label name="views">346</label>|&nbsp;
            Paid Members|&nbsp;
            Dummy text
            <br />
            Contact No:<input type="tel" name="contact" /> &nbsp;&nbsp;&nbsp;
            <input type="submit" name="contact" value="Contact" class="btn btn-primary" />&nbsp;
            <input type="submit" name="view" value="View" class="btn btn-secondary" />
        </form>

    </div>*@


@code {
    
}
